Java issues regarding with the sponge forge mod (Mac)

Hey I’m just starting to make my own pixelmon server and need sponge to run plugins and mods for me. I’m new to sponge and don’t know much about it, so I need your help to get my server running. I downloaded the sponge version for forge 1722 (that is the forge version for pixelmon 4.2.7) when I downloaded it and ran it with my server it said I needed java 8u40 evan though. I’m running 8u112 (Which I think is the latest java for mac. What do I do?

Run the later versions of SpongeForge for 1.8.9, the java version detector was fixed in the later versions.

Thanks now it works! :smiley: